> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ndovu.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one of a customer's transactions



## OpenAPI

````yaml /api-reference/openapi.json get /api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions/{transactionId}
openapi: 3.0.0
info:
  title: Ndovu Partner API
  description: API for partners distributing Ndovu investment products to their customers.
  version: '3'
  contact: {}
servers:
  - url: https://be-dev-1.dev.ndovu.co
    description: Development
security: []
tags: []
paths:
  /api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions/{transactionId}:
    get:
      tags:
        - partners
      summary: Get one of a customer's transactions
      operationId: PartnerMoneyController_getTransaction_v3
      parameters:
        - name: shortName
          required: true
          in: path
          description: Your partner short name
          schema:
            type: string
        - name: externalUserId
          required: true
          in: path
          description: Your own ID for the customer
          schema:
            type: string
        - name: transactionId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerTransactionDetailDto'
        '404':
          description: CUSTOMER_NOT_FOUND or TRANSACTION_IS_NOT_FOUND
      security:
        - bearer: []
components:
  schemas:
    PartnerTransactionDetailDto:
      type: object
      properties:
        transactionId:
          type: number
        type:
          enum:
            - DEPOSIT
            - DISINVESTMENT
            - FEE
          type: string
        status:
          enum:
            - PENDING
            - ON_HOLD
            - ARCHIVED
            - COMPLETED
            - TRANSFER_INCOMPLETE
            - RECONCILED
          type: string
          description: >-
            PENDING / TRANSFER_INCOMPLETE: waiting for the money. RECONCILED:
            money received, waiting to be invested. COMPLETED: invested, units
            allocated. ARCHIVED: will never complete (see reason)
        reason:
          nullable: true
          enum:
            - PENDING_PAYMENT
            - PENDING_INVESTOR_INFORMATION
            - TRADE_CANCELLED
            - CLIENT_RECALL
            - DISINVESTMENT_CANCELLED_BY_CLIENT
          type: string
          description: Why the Transaction was ARCHIVED
        plan:
          $ref: '#/components/schemas/PartnerPlanRefDto'
        amount:
          type: number
          example: 5000
        currency:
          type: string
          example: KES
        fee:
          type: number
          nullable: true
          example: 50
        feePercentage:
          type: number
          nullable: true
          example: 1
        investedAmount:
          type: number
          example: 4950
          description: The amount invested after the fee
        units:
          type: number
          nullable: true
          description: Null until COMPLETED
        paymentReference:
          type: string
          nullable: true
          description: The funding Payment. Null for a fee
        payment:
          nullable: true
          description: >-
            The funding Payment, with its channel, bankReference and
            mnoReference. Null for a fee
          allOf:
            - $ref: '#/components/schemas/PartnerPaymentDto'
        requestedAt:
          format: date-time
          type: string
        estimatedArrival:
          type: string
          example: '2026-10-26'
          description: When the investment is expected to complete
      required:
        - transactionId
        - type
        - status
        - plan
        - amount
        - currency
        - investedAmount
        - requestedAt
        - estimatedArrival
    PartnerPlanRefDto:
      type: object
      properties:
        id:
          type: number
          example: 12
        name:
          type: string
          example: Ndovu Money Market Fund
      required:
        - id
        - name
    PartnerPaymentDto:
      type: object
      properties:
        reference:
          type: string
          example: NDV7F3K9Q
          description: >-
            The PaymentReference. For a bank transfer, quote it as the transfer
            memo
        channel:
          type: string
          enum:
            - MPESA
            - BANK_TRANSFER
        amount:
          type: number
          example: 5000
        finalAmount:
          type: number
          example: 5000
          description: The amount to pay
        currency:
          type: string
          example: KES
        status:
          enum:
            - PENDING
            - COMPLETED
            - FAILED
          type: string
        mnoReference:
          type: string
          nullable: true
          description: The M-Pesa receipt
        bankReference:
          type: string
          nullable: true
          description: The bank's own transaction id, once reconciled
        phoneNumber:
          type: string
          nullable: true
          example: +2547...5678
          description: The paying number, redacted (M-Pesa)
        plan:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PartnerPlanRefDto'
        transactionId:
          type: number
          nullable: true
          description: >-
            The Transaction this Payment funds. Null until the Payment is
            COMPLETED, when the Transaction is created
        createdAt:
          format: date-time
          type: string
        completedAt:
          format: date-time
          type: string
          nullable: true
      required:
        - reference
        - channel
        - amount
        - finalAmount
        - currency
        - status
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.